Commit 6adfd11cc7a4fcd98c50bf2c0bbbe863e9a2d02a

Authored by zhangxiaowen
1 parent 545bf978

no message

CNLiveSettingModule.podspec
... ... @@ -83,8 +83,8 @@ TODO: 网家家-设置模块.
83 83 end
84 84  
85 85 # 设置字体大小
86   - s.subspec 'FontSIze' do |ss|
87   - ss.source_files = 'CNLiveSettingModule/Classes/FontSIze/*.{h,m}'
  86 + s.subspec 'FontSize' do |ss|
  87 + ss.source_files = 'CNLiveSettingModule/Classes/FontSize/*.{h,m}'
88 88 ss.dependency 'CNLiveBaseKit'
89 89  
90 90 end
... ...
CNLiveSettingModule/Classes/FontSIze/CNLiveFontSettingController.m
... ... @@ -208,6 +208,8 @@
208 208 [_navigationBar.left setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
209 209 [_navigationBar.left setImage:nil forState:UIControlStateNormal];
210 210 _navigationBar.title.text = @"设置字体大小";
  211 + _navigationBar.left.titleLabel.font = [UIFont systemFontOfSize:17.0];
  212 + _navigationBar.right.titleLabel.font = [UIFont systemFontOfSize:17.0];
211 213 [_navigationBar.right setTitle:@"完成" forState:UIControlStateNormal];
212 214 [_navigationBar.right setTitleColor:[UIColor colorWithRed:31/255.0 green:185/255.0 blue:34/255.0 alpha:1.0] forState:UIControlStateNormal];
213 215 [_navigationBar.right setTitleColor:[UIColor colorWithRed:63/255.0 green:109/255.0 blue:61/255.0 alpha:1.0] forState:UIControlStateSelected];
... ...
CNLiveSettingModule/Classes/FontSIze/CNLiveMessageFrame.h
... ... @@ -9,10 +9,12 @@
9 9 #define ChatIconWH 45 //头像宽高height、width
10 10  
11 11 #define ChatLineSpacing 3
12   -#define ChatContentTop 18 //文本内容与按钮上边缘间隔
13   -#define ChatContentLeft 16 //文本内容与按钮左边缘间隔
14   -#define ChatContentBottom 8 //文本内容与按钮下边缘间隔
15   -#define ChatContentRight 10 //文本内容与按钮右边缘间隔
  12 +
  13 +#define ChatContentTop 18
  14 +#define ChatContentBottom 8
  15 +
  16 +#define ChatContentLeft 18
  17 +#define ChatContentRight 12
16 18  
17 19 #import <Foundation/Foundation.h>
18 20  
... ...
Example/CNLiveSettingModule.xcodeproj/project.pbxproj
... ... @@ -207,7 +207,7 @@
207 207 6003F586195388D20070C39A /* Sources */,
208 208 6003F587195388D20070C39A /* Frameworks */,
209 209 6003F588195388D20070C39A /* Resources */,
210   - 02E94EED33F4A79ED32E4740 /* [CP] Embed Pods Frameworks */,
  210 + 6D9A35784F56B3BE6F09B722 /* [CP] Embed Pods Frameworks */,
211 211 );
212 212 buildRules = (
213 213 );
... ... @@ -298,7 +298,29 @@
298 298 /* End PBXResourcesBuildPhase section */
299 299  
300 300 /* Begin PBXShellScriptBuildPhase section */
301   - 02E94EED33F4A79ED32E4740 /* [CP] Embed Pods Frameworks */ = {
  301 + 653FED99FAD33AD7306D3799 /* [CP] Check Pods Manifest.lock */ = {
  302 + isa = PBXShellScriptBuildPhase;
  303 + buildActionMask = 2147483647;
  304 + files = (
  305 + );
  306 + inputFileListPaths = (
  307 + );
  308 + inputPaths = (
  309 + "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
  310 + "${PODS_ROOT}/Manifest.lock",
  311 + );
  312 + name = "[CP] Check Pods Manifest.lock";
  313 + outputFileListPaths = (
  314 + );
  315 + outputPaths = (
  316 + "$(DERIVED_FILE_DIR)/Pods-CNLiveSettingModule_Tests-checkManifestLockResult.txt",
  317 + );
  318 + runOnlyForDeploymentPostprocessing = 0;
  319 + shellPath = /bin/sh;
  320 + shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
  321 + showEnvVarsInLog = 0;
  322 + };
  323 + 6D9A35784F56B3BE6F09B722 /* [CP] Embed Pods Frameworks */ = {
302 324 isa = PBXShellScriptBuildPhase;
303 325 buildActionMask = 2147483647;
304 326 files = (
... ... @@ -342,28 +364,6 @@
342 364 shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveSettingModule_Example/Pods-CNLiveSettingModule_Example-frameworks.sh\"\n";
343 365 showEnvVarsInLog = 0;
344 366 };
345   - 653FED99FAD33AD7306D3799 /* [CP] Check Pods Manifest.lock */ = {
346   - isa = PBXShellScriptBuildPhase;
347   - buildActionMask = 2147483647;
348   - files = (
349   - );
350   - inputFileListPaths = (
351   - );
352   - inputPaths = (
353   - "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
354   - "${PODS_ROOT}/Manifest.lock",
355   - );
356   - name = "[CP] Check Pods Manifest.lock";
357   - outputFileListPaths = (
358   - );
359   - outputPaths = (
360   - "$(DERIVED_FILE_DIR)/Pods-CNLiveSettingModule_Tests-checkManifestLockResult.txt",
361   - );
362   - runOnlyForDeploymentPostprocessing = 0;
363   - shellPath = /bin/sh;
364   - shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
365   - showEnvVarsInLog = 0;
366   - };
367 367 B63C2143E7B1CC8A1F17474A /* [CP] Check Pods Manifest.lock */ = {
368 368 isa = PBXShellScriptBuildPhase;
369 369 buildActionMask = 2147483647;
... ...